var
  m, n, a, t, i : integer;
begin
  reset(input, 'airplane.in');
  rewrite(output, 'airplane.out');
  read(m, n, a);
  assert((1 <= m) and (m <= 10000));
  assert((1 <= n) and (n <= 100));
  assert((1 <= a) and (a <= 1000));
  for i := 1 to n do begin
    read(t);
    assert((5 <= t) and (t <= 100));
    m := m + t;
  end;
  if (a = 1000) then begin
    writeln('Impossible');
  end else begin
    writeln(a / (1000 - a) * m : 0 : 7);
  end;
end.